package com.goafanti.common.model;

import java.io.Serializable;
import java.util.Date;


/**
 * 订单公出信息表(TOrderPublicReleaseCount)实体类
 *
 * @author makejava
 * @since 2024-09-23 17:14:13
 */
public class TOrderPublicReleaseCount implements Serializable {
    private static final long serialVersionUID = 655526116471477610L;

    private Integer id;
    /**
     * 订单编号
     */
    private String orderNo;
    /**
     * 实际公出
     */
    private Double actualDuration;
    /**
     * 公出人数
     */
    private Integer peopleCount;
    /**
     * 公出次数
     */
    private Integer frequency;
    /**
     * 发起时间
     */
    private Date createTime;
    /**
     * 最大公出小时
     */
    private Double maxDuration;
    /**
     * 最大公出审核 0=未发起，1=技术总监审核中，2=财务总监审核中，3=驳回，4=完成
     */
    private Integer maxProcess;
    /**
     * 最大分类 0=不能公出，1=时间内公出，2=未设置公出
     */
    private Integer maxType;
    /**
     * 最大状态 0=未修改，1=已修改
     */
    private Integer maxStatus;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public Double getActualDuration() {
        return actualDuration;
    }

    public void setActualDuration(Double actualDuration) {
        this.actualDuration = actualDuration;
    }

    public Integer getPeopleCount() {
        return peopleCount;
    }

    public void setPeopleCount(Integer peopleCount) {
        this.peopleCount = peopleCount;
    }

    public Integer getFrequency() {
        return frequency;
    }

    public void setFrequency(Integer frequency) {
        this.frequency = frequency;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Double getMaxDuration() {
        return maxDuration;
    }

    public void setMaxDuration(Double maxDuration) {
        this.maxDuration = maxDuration;
    }

    public Integer getMaxProcess() {
        return maxProcess;
    }

    public void setMaxProcess(Integer maxProcess) {
        this.maxProcess = maxProcess;
    }

    public Integer getMaxType() {
        return maxType;
    }

    public void setMaxType(Integer maxType) {
        this.maxType = maxType;
    }

    public Integer getMaxStatus() {
        return maxStatus;
    }

    public void setMaxStatus(Integer maxStatus) {
        this.maxStatus = maxStatus;
    }

}

